cURL
curl -X DELETE https://api.neuraldraft.io/v1/blog-posts/142 \
-H "Authorization: Bearer ndsk_live_yourkey"await nd.blogPosts.delete(142);
requests.delete("https://api.neuraldraft.io/v1/blog-posts/142",
headers={"Authorization": f"Bearer {key}"})
<?php
$client->delete('blog-posts/142', ['headers' => ['Authorization' => 'Bearer '.$key]]);
{
"type": "https://api.neuraldraft.io/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "API key missing or invalid.",
"code": "unauthorized",
"instance": "req_2Nh4PqRsTuVw"
}{
"type": "https://api.neuraldraft.io/errors/not_found",
"title": "Not found",
"status": 404,
"detail": "No such resource.",
"code": "not_found",
"instance": "req_2Nh4PqRsTuVw"
}Blog
Delete a blog post
DELETE
/
blog-posts
/
{id_or_slug}
cURL
curl -X DELETE https://api.neuraldraft.io/v1/blog-posts/142 \
-H "Authorization: Bearer ndsk_live_yourkey"await nd.blogPosts.delete(142);
requests.delete("https://api.neuraldraft.io/v1/blog-posts/142",
headers={"Authorization": f"Bearer {key}"})
<?php
$client->delete('blog-posts/142', ['headers' => ['Authorization' => 'Bearer '.$key]]);
{
"type": "https://api.neuraldraft.io/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "API key missing or invalid.",
"code": "unauthorized",
"instance": "req_2Nh4PqRsTuVw"
}{
"type": "https://api.neuraldraft.io/errors/not_found",
"title": "Not found",
"status": 404,
"detail": "No such resource.",
"code": "not_found",
"instance": "req_2Nh4PqRsTuVw"
}Authorizations
Project API key. Pass as Authorization: Bearer ndsk_live_.... Manage
keys via /projects/me/api-keys. Test-mode keys use
the ndsk_test_ prefix.
Path Parameters
Numeric ID or slug. Slugs are accepted for public read flows.
Response
Deleted.